Subject: Re: [Ips] AD review of draft-ietf-ips-iser

From: Mike Ko <[email-masked]>
Date: Mon, 6 Nov 2006 18:28:16 -0800

Lars,

Sorry for the delay in replying to your review as I was out of the office 
for the past several weeks.  I plan to submit a new revision of the iSER 
draft in a few days that addresses your concern.  My comments are 
embedded.

Mike

Lars Eggert <[email-masked]> wrote on 10/12/2006 01:52:55 AM:

> Hi,
> 
> please find the AD review of draft-ietf-ips-iser-05.txt below. In a 
> nutshell: No major issues but a number of comments and nits. 
> Depending on the amount of changes needed, an RFC Editor Note may be 
> sufficient, or a new revision may be needed.
> 
> Lars
> 
> ---<snip>---
> 
>    Has idnits (unused references, etc.) and boilerplate issues (some due
>    to boilerplate changes during the too-long AD review - mea culpa).

[mk] Boilerplate issues have been fixed.  I have decided to leave unused 
references alone (such as RFC 2119 and Verbs) since they are pertinent to 
the draft.
 
> INTRODUCTION, paragraph 12:
>  >    Ko et. al.                Expires April 
> 2006                         1
> 
>    Nit: s/et./et/ everywhere

[mk] done 
 
> Section 7.3.12, paragraph 3:
>  >    qualified with DataDescriptorReject which defines the Rejct 
> buffer.
> 
>    Nit: s/Rejct/Reject/
 
[mk] done
 
> Section 8.1.1.3, paragraph 3:
>  >    CmdSN of the PDU sent by the intiator in this category is x, 
> the PDU
> 
>    Nit: s/intiator/initiator/
 
[mk] done
 
> Section 8.1.2, paragraph 7:
>  >    (Implementatin note:  SCSI task timeout and recovery can be a
> 
>    Nit: s/Implementatin/Implementation/
 
[mk] done
 
> Section 9.1, paragraph 4:
>  >         The Opcode field identifies the type of iSER Messages:
> 
>    Are there IANA actions required for these type codes? IANA section is
>    empty.

[mk] No IANA actions are required as these are iSER specific fields in an 
iSER specific header. 
 
> Section 13.2, paragraph 2:
>  >    [DA] M. Chadalapaka et al., "Datamover Architecture for iSCSI", 
> IETF
>  >        Internet-draft, draft-ietf-ips-da-02.txt (work in progress),
> 
> 
>    Not normative?

[mk] As David Black has stated in his response: "[DA] reference needs to 
remain informative as the iSER draft is supposed to be self-contained, and 
the DA draft will be published as Informational."
 
>  >    [RDDPSEC] J. Pinkerton et al., "DDP/RDMAP Security", IETF Internet
>  >        Draft draft-ietf-rddp-security-07.txt (work in progress), 
> April
>  >        2005
> 
>    Not normative?

[mk] Changed to normative
 
> -- 
> Lars Eggert                                     NEC Network Laboratories
> 
> 
> [attachment "smime.p7s" deleted by Mike Ko/Almaden/IBM] 
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ips
_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips